# AAMfP: a simple (Personal) Kanban metrics spreadsheet #
Copyright © 2017, 2018, 2019 Marco Bresciani.	

![Creative Commons
License](https://i.creativecommons.org/l/by-sa/4.0/80x15.png) *AAMfP: a
simple (Personal) Kanban metrics spreadsheet* by *Marco Bresciani* is
licensed under a [Creative Commons Attribution-ShareAlike 4.0
International License](http://creativecommons.org/licenses/by-sa/4.0/).

Ideas, contributions, issues, enhancements, ... are all welcome,
following the [Contributor Covenant Code of
Conduct](https://www.contributor-covenant.org/).

---

## Download ##

Current version is **v.11.0.1**. See
[Downloads](https://bitbucket.org/marcobresciani/aamfp/downloads/).

For versions history see the [Changelog](CHANGELOG.md) file.

---

## Intro ##
Improve your daily work and activities with this
[LibreOffice](https://www.libreoffice.org/) Calc spreadsheet using the
concepts of [Personal Kanban](http://personalkanban.com/pk/) and
applying some flow metrics as described in the book [Actionable Agile
Metrics for Predictability](https://leanpub.com/actionableagilemetrics)
(and compatible with [Actionable Agile™
Analytics](https://www.actionableagile.com/) tool).

### Visualize your work ###
The project also contains contains PDF and ODG (LibreOffice Draw)
versions of an [A3 format](https://en.wikipedia.org/wiki/ISO_216)
printable Personal Kanban board with **Backlog**, **Next**,
**In-progress** and **Done** columns. Feel free to use it to visualize
your activities!

This Kanban board uses **Unifont** by Unifoundry for text purposes.

`Copyright (C) 1998-2018 Roman Czyborra, Paul Hardy, Qianqian Fang,
Andrew Miller, Johnnie Weaver, David Corbett, et al. License GPLv2+: GNU
GPL version 2 or later <http://gnu.org/licenses/gpl.html> with the GNU
Font Embedding Exception.`

### Limit your work-in-progress ###
Remember to add your WIP limit to each of the columns in the board
above, to be sure to properly apply Kanban concepts and obtain real
improvements.

----

## Usage ##
> Complete, detailed usage instructions and data explanations can be
found in the [Usage](USAGE.md) file.

Briefly: the only sheet you need to work on is the *Activities* sheet
where you need to add, for each activity, the dates when such activities
have changed state. **CoS** (Class of Service) and **WIT** (Work Item
Type) column values are not mandatory.

Please note that *Activities* sheet already contains some data. Those
are example data to show you how to use and write them. Feel free to
remove them.

*While bug #6 is open*, when an activity has to be
dropped/cancelled/abandoned/… for any reason, you just have to write
such cancellation date in all remaining columns cells and also write the
same date in the **Deleted** column. With this, the activity will be
properly identified as deleted.

> In order to have correct metrics, chart, and data *you* have to keep
the *Activities* sheet rows in the correct order. Specifically, select
the table and apply the following sorting criteria (all crescent order):
**Done**, **In-progress**, **Next**, **Deadline**, **Backlog**, **ID**.
Once the column are ordered in this way, you can scroll all other sheets
where you can find the metrics and charts properly computed and
rendered.

**Deadline** column value is optional and the content is automatically
and conditionally formatted. Deadline is:
 
 * today, red cell;
 * this week, orange cell;
 * this month, yellow cell;
 * next month, green cell.
 * Expired completed activity, red text.

The whole *Activities* sheet is compatible with [Actionable Agile™
Analytics](https://www.actionableagile.com/) tool (see [Format for Data
File](https://www.actionableagile.com/format-data-file/)): simply export
*Activities* sheet as CSV (select comma (**,**) as cell separator and
quotes (**"**) for fields) and then import it in the tool.

----

## References ##
For the **Kanban** method starts from here:
[What is Kanban | Lean Kanban](https://leankanban.com/project/wkanban/)
and the [Essential Kanban Condensed
Guide](https://leankanban.com/guide/).

For **Personal Kanban** starts from here: [Map your work, control your
life: Personal Kanban](http://personalkanban.com/pk/)
and [Personal Kanban: The Book | Personal
Kanban](http://personalkanban.com/pk/book/).

For more details on metrics read the book [Actionable Agile Metrics for
Predictability](https://leanpub.com/actionableagilemetrics) by Vacanti,
Daniel S..

## Thanks ##
Thanks to:

* [Gavi](https://bitbucket.org/classicPintus/) for having solved bug
[#1](https://bitbucket.org/marcobresciani/aamfp/issues/1/wrong-cfd-counting).
